=== debian/changelog ===
erlang-uuid (0.4.6-2) unstable; urgency=medium

  * Team upload.
  * Change maintainer address to Debian Erlang Packagers
    <pkg-erlang-devel@lists.alioth.debian.org>. (Closes: #899820)
  * Change Vcs-Browser and Vcs-Git to salsa.
  * Bump Standards-Version to 4.1.4.
  * Get rid of lintian 'insecure-copyright-format-uri' and
    'debian-rules-parses-dpkg-parsechangelog'

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 02 Jun 2018 05:33:58 +0900

erlang-uuid (0.4.6-1) unstable; urgency=low

  * Initial release (Closes: #769579)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 14 Nov 2014 19:15:39 +0100
