=== debian/control ===
Source: erlang-uuid
Section: devel
Priority: optional
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1~),
	erlang-dev (>= 1:15.b), erlang-tools, erlang-eunit
Standards-Version: 4.1.4
Homepage: https://github.com/avtobiff/erlang-uuid
Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-uuid.git
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-uuid

Package: erlang-uuid
Architecture: any
Depends: ${misc:Depends},
         erlang-base-hipe | erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: UUID generator for Erlang
 Erlang implementation of UUID v1, v3, v4, and v5 generation as of RFC4122
