## erlang-uuid 0.5.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 APPFILE   := uuid.app
-VERSION   := $(shell sed -n -e '/vsn/ {s/.*,\s*"\([0-9][0-9.]*\)".*/\1/' \
+VERSION   := $(shell sed -n -e '/vsn/ {s/.*,[[:blank:]]*"\([0-9][0-9.]*\)".*/\1/' \
                             -e 'p' -e '}' src/$(APPFILE).src)
 
 PREFIX    ?= /usr
@@ -21,7 +21,7 @@
 	cp $< $@
 
 clean:
-	-rm -rf ebin/$(APPFILE) $(BEAMFILES) $(DIALYZER_PLT)
+	-rm -rf dist ebin/$(APPFILE) $(BEAMFILES) $(DIALYZER_PLT)
 
 $(DIALYZER_PLT): build
 	dialyzer --add_to_plt -r ebin --output_plt $(DIALYZER_PLT)
@@ -33,6 +33,12 @@
 	erlc -W +debug_info +compressed +strip -o test/ test/*.erl
 	erl -noshell -pa ebin -pa test -eval "uuid_tests:test()" -eval "init:stop()"
 
+dist: build
+	# create dist tarball
+	mkdir -p dist/$(DISTDIR)/ebin
+	install -m0644 ebin/* dist/$(DISTDIR)/ebin
+	(cd dist ; tar zcf $(DISTDIR).tar.gz $(DISTDIR) )
+
 install: build
 	# create dist directory and install files
 	mkdir -p $(DESTDIR)$(ERL_ROOT)$(LIBDIR)/$(DISTDIR)/ebin
