=== debian/changelog ===
erlang-uuid (0.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Make myself an uploader.
  * Bump debhelper compatibility level to 13.
  * Bump Standards-Version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 21 Feb 2025 16:15:29 +0300
