=== debian/control ===
Source: erlang-uuid
Section: devel
Priority: optional
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.1~),
	erlang-dev (>= 1:27), erlang-crypto, erlang-tools, erlang-eunit
Standards-Version: 4.7.0
Homepage: https://github.com/avtobiff/erlang-uuid
Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-uuid.git
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-uuid

Package: erlang-uuid
Architecture: any
Depends: ${misc:Depends},
         ${erlang:Depends}
Description: UUID generator for Erlang
 Erlang implementation of UUID v1, v3, v4, and v5 generation as of RFC4122
